Bug 78994 - up2date does not show translated messages
up2date does not show translated messages
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Red Hat Satellite QA List
Depends On:
  Show dependency treegraph
Reported: 2002-12-04 09:37 EST by Taishin Kin
Modified: 2007-04-18 12:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-06 18:58:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Taishin Kin 2002-12-04 09:37:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
up2date partially fails to show translated messages while the locale files (i.e.
*.mo) have almost completely translated.
For example, the following part in the file "gui.glade" is 
shown in Japanese for the title part but plain English for the text part:
<widget class="GnomeDruidPageEdge" id="startPage">
  <property name="title" translatable="yes">Welcome to Red Hat Update
  <property name="text" translatable="yes">This is Red Hat Update Agent.  It
will assist you in updating
your Red Hat Linux system with the latest software available
from Red Hat Network.

To continue, click &quot;Forward.&quot;  To cancel without updating
anything, click &quot;CANCEL.&quot;</property>
I'm reporting this bug based on Japanese locale environment.
But the same phenomenon would be observed in other locale env.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run up2date from GUI or in command line (in Japanese locale)
2. "RedHat Update Agent" window is shown

Actual Results:  check that the title part is shown in Japanese and the text
part is shown in English.

Expected Results:  The text part should be shown in Japanese

Additional info:

This is not because of the text part does not have translation.
The translated text resides in up2date.mo file.
But up2date somehow fails to retrieve the translated messages.

Note You need to log in before you can comment on or make changes to this bug.